> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Token Balances

> Retrieves a list of token balances associated with a specific wallet address on a given network.

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml get /tokens/balances
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /tokens/balances:
    get:
      tags:
        - Tokens
      summary: List Token Balances
      description: >-
        Retrieves a list of token balances associated with a specific wallet
        address on a given network.
      operationId: tokens_list-balances
      parameters:
        - name: network
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Network'
        - name: wallet_address
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ListTokenBalancesResponseItem'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    Network:
      title: Network
      type: string
      enum:
        - Ethereum
        - Polygon
        - Base
        - Avalanche
        - Polkadot
        - Vara
    ListTokenBalancesResponseItem:
      title: ListTokenBalancesResponseItem
      type: object
      properties:
        uuid:
          type: string
        network:
          $ref: '#/components/schemas/Network'
        contract_address:
          type: string
        name:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
        display_decimals:
          type: integer
        logo_url:
          type: string
        raw_balance:
          type: string
        display_balance:
          type: string
      required:
        - uuid
        - network
        - contract_address
        - name
        - symbol
        - decimals
        - display_decimals
        - logo_url
        - raw_balance
        - display_balance
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````